hd_data_t Struct Reference
Public interface » ID macros

Holds all data accumulated during hardware probing. More...

`#include <hd.h>`

## Data Structures

struct | flag_struct
| Special flags. More...

## Data Fields

hd_t * | hd
| Current hardware list.
void(* | progress )(char *pos, char *msg)
| A progress indicator.
char * | log
| Log messages.
unsigned | debug
| Debug flags.
struct hd_data_t::flag_struct | flags
str_list_t * | only
| Concentrate on these devices.
unsigned char | probe [(pr_all+7)/8]
| (Internal) bitmask of probing features.
unsigned char | probe_set [(pr_all+7)/8]
| (Iternal) bitmask of probing features that will always be set.
unsigned char | probe_clr [(pr_all+7)/8]
| (Internal) bitmask of probing features that will always be reset.
hal_prop_t * | probe_val
| (Internal) probing features with arbitrary values
unsigned | last_idx
| (Internal) index of the last hd entry generated
unsigned | module
| (Internal) the current probing module we are in
enum boot_arch | boot
| (Internal) boot method
hd_t * | old_hd
| (Internal) old (outdated) entries (if you scan more than once)
pci_t * | pci
| (Internal) raw PCI data
isapnp_t * | isapnp
| (Internal) raw ISA-PnP data
cdrom_info_t * | cdrom
| (Internal) CDROM devs from PROC_CDROM_INFO
str_list_t * | net
| (Internal) list of network interfaces
str_list_t * | floppy
| (Internal) contents of PROC_NVRAM, used by the floppy module
misc_t * | misc
| (Internal) data gathered in the misc module
serial_t * | serial
| (Internal) /proc's serial info
scsi_t * | scsi
| (Internal) raw SCSI data
ser_device_t * | ser_mouse
| (Internal) info about serial mice
ser_device_t * | ser_modem
| (Internal) info about serial modems
str_list_t * | cpu
| (Internal) /proc/cpuinfo
str_list_t * | klog
| (Internal) kernel log
str_list_t * | proc_usb
| (Internal) /proc/bus/usb info
usb_t * | usb
| (Internal) usb info
modinfo_t * | modinfo_ext
| (Internal) external module info
modinfo_t * | modinfo
| (Internal) module info
hddb2_data_t * | hddb2 [2]
| (Internal) hardware database
str_list_t * | kmods
| (Internal) list of active kernel modules
uint64_t | used_irqs
| (Internal) irq usage
uint64_t | assigned_irqs
| (Internal) irqs automatically assigned by libhd (for driver info)
memory_range_t | bios_rom
| (Internal) BIOS 0xc0000 - 0xfffff
memory_range_t | bios_ram
| (Internal) BIOS 0x00400 - 0x004ff
memory_range_t | bios_ebda
| (Internal) EBDA
unsigned | display
| (Internal) hd_idx of the active (vga) display
unsigned | color_code
| (Internal) color, if any
char * | cmd_line
| (Internal) kernel command line
str_list_t * | xtra_hd
| (Internal) fake hd entries (for testing)
devtree_t * | devtree
| (Internal) prom device tree on ppc
unsigned | kernel_version
| (Internal) kernel version
hd_t * | manual
| (Internal) hardware config info
str_list_t * | disks
| (Internal) disks according to /proc/partitions
str_list_t * | partitions
| (Internal) dto, partitions
str_list_t * | cdroms
| (Internal) cdroms according to PROC_CDROM_INFO
hd_smbios_t * | smbios
| (Internal) smbios data
struct { |
unsigned hd_data_t::ok:1 |
unsigned hd_data_t::size |
unsigned hd_data_t::used |
void * hd_data_t::data |
int hd_data_t::id |
int hd_data_t::updated |
} | shm
| (Internal) our shm segment
unsigned | pci_config_type
| (Internal) PCI config type (1 or 2), 0: unknown
hd_udevinfo_t * | udevinfo
| (Internal) udev info
hd_sysfsdrv_t * | sysfsdrv
| (Internal) sysfs driver info
uint64_t | sysfsdrv_id
| (Internal) sysfs driver info id
str_list_t * | scanner_db
| (Internal) list of scanner modules
edd_info_t | edd [0x80]
| (Internal) enhanced disk drive data
hal_device_t * | hal
| (Internal) HAL data (if any)
str_list_t * | lsscsi
| (Internal) lsscsi result (if any)
struct vm_s * | vm
| (Internal) x86emu vm
size_t | log_size
| (Internal) current log size (including final 0)
size_t | log_max
| (Internal) log buffer size
str_list_t * | klog_raw
| (Internal) unmodified kernel log

## Detailed Description

Holds all data accumulated during hardware probing.

The documentation for this struct was generated from the following file:

- hd.h